Package twisted :: Package application :: Module internet :: Class TimerService

[frames | no frames]

## Class TimerService

             Service --+
                       |
    _VolatileDataService --+
                           |
                          TimerService

Known Subclasses:
  `FileMonitoringService`

Method Summary
| `__init__(self, step, callable, *args, **kwargs)`
| `_cleanupLoop(self, result)`
| `_startLoop(self, step)`
| `startService(self)`
| `stopService(self)`
Inherited from _VolatileDataService
| ``__getstate__`(self)`
Inherited from Service
| ``disownServiceParent`(self)`
| ``privilegedStartService`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
`list` | `volatile` = `['_call']`
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

### volatile

  Type:
    `list`
  Value:

        ['_call']

Generated by Epydoc 2.0 on Sat May 15 20:07:37 2004 | http://epydoc.sf.net